23 Settembre 2022

Hosting che supportano vecchie versioni di PHP come ad esempio PHP 5.2, PHP 5.3, PHP 5.4, PHP 5.5, PHP 5.6, PHP 7.0, PHP 7.1

Stai cercando un Hosting che supporti vecchie versioni di PHP ?

Print Friendly, PDF & Email

PHP ( creato nel 1994 da Rasmus Lerdorf ) è uno dei linguaggi di programmazione web lato server più popolari e ampiamente utilizzati.

È il linguaggio su cui si basa oltre l’80% dei siti Web su Internet.

Il linguaggio è così versatile che hai incorporato un codice PHP nel codice HTML o lo hai utilizzato in combinazione con vari sistemi di modelli Web, sistemi di gestione dei contenuti Web e framework Web, per non parlare di applicazioni WordPress, CMS più o meno famosi che sicuramente conoscerai.

Questa facilità d’uso e la bassa barriera all’ingresso lo rendono ideale come piattaforma estensibile utilizzata da aziende, enti, aziende.

Come un insieme pubblicazione, ogni ramo PHP è progettato per essere completamente supportato per due anni dalla sua versione stabile iniziale.

Durante questo periodo, i bug e i problemi di sicurezza che sono stati segnalati vengono risolti e rilasciati in normali rilasci puntuali.

Ma una volta trascorso questo periodo di due anni di supporto attivo, la filiale viene supportata SOLO per un ulteriore anno per problemi di sicurezza critici.

Quello che succede dopo è che raggiungerà quello che viene chiamato EOL ( End of Life ), il che significa che la versione non riceverà più manutenzione, risoluzione dei problemi o altro supporto.

Per la maggior parte delle aziende e delle aziende, il fatto che queste tre versioni (PHP 5.6, 7.0 e 7.1) abbiano entrambe raggiunto la fine del loro ciclo di vita a dicembre 2018 è stato motivo di grave preoccupazione.

Se stai ancora utilizzando le versioni precedenti di PHP, significa che il tuo sito Web o la tua app utilizza ancora funzioni con delle configurazioni PHP obsolete per funzionare.

Questo innegabilmente apre il tuo sito Web e l’applicazione che dipendono da tali versioni a vulnerabilità e sfruttamento.

Un tale sito Web diventerà quindi un giocattolo per hacker malintenzionati.

Il fatto che ciò avvenga ogni giorno non ha impedito a molte aziende, agenzie governative, start-up, portali di e-commerce e agenzie web con forse centinaia di siti di funzionare su versioni PHP non supportate.

Spesso il motivo risiede nel costo significativo di riaddattare il codice sorgente ed il rischio di rompere le cose che potrebbero derivare dal processo di aggiornamento.

Può capitare ad esempio come è capitato ad un nostro stimato cliente, che in fase di acquisizione di un noto magazine online, basato su WordPress 3.5 customizzato a livello Core e a livello modulo, si abbia la necessità di fare l’onboarding del progetto su un proprio server, allestire un server di staging e inziare la migrazione verso WordPress 6.0.

Il processo è stato non banale, considerando l’adattamento di plugin custom e modifiche nel core che sono dovute essere esternalizzate, con un lavoro di sviluppo che comunque ha impiegato circa 6 mesi, periodo in cui abbiamo fornito Hosting su PHP 5.3 e tutto il supporto sistemistico allo sviluppatore, sia in termini di Hosting, sicurezza, hardening che allestimento del nuovo staging.

Se sei in un situazione, e hai la necessità di fare hosting di vecchie versioni di PHP, abbiamo una soluzione perfetta per te sotto forma di un servizio chiamato Harden PHP hosting che offre la stessa solida protezione delle versioni PHP supportate.

Harden PHP non solo protegge le tue vecchie versioni PHP (5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4) con ionCube Loaders, estensioni PHP richieste da ciascuna di queste vecchie versioni, ma puoi anche trarne vantaggio di selezionare la versione di PHP che vuoi far eseguire a ciascuno dei siti web.

Ci vogliono pochi minuti per iniziare a funzionare e il nostro team, sempre attivo 24 ore su 24 per assicurarsi che non si verifichi mai alcun problema, migrerà anche l’intero sito Web dal vecchio server al nostro nuovo hosting.

Hosting di vecchie versione di PHP

Sebbene rischiamo di essere ripetivi è bene specificare che il nostro servizio di Hosting è in grado di fornire hosting delle principali versioni obsolete di PHP in ambiente isolato e protetto con opportune procedure di Backup e monitoring al fine di avere un sistema sempre il più sicuro possibile.

Nello specifico forniamo Hosting con le seguenti versioni di PHP :

  • Hosting PHP 5.2
  • Hosting PHP 5.3
  • Hosting PHP 5.4
  • Hosting PHP 5.5
  • Hosting PHP 5.6
  • Hosting PHP 7.0
  • Hosting PHP 7.1
  • Hosting PHP 7.2
  • Hosting PHP 7.3

Le vecchie versioni dalla 5.2 alla 5.5 vengono fatte girare in modalità separata tramite sandbox, VPS, Istanze Cloud e comunque con separazione dei privilegi. Vengono disabilitate funzioni pericolose qualora non servano, come ad esempio la system(). la exec(), e funzioni che potrebbero compromettere il sistema a livello di esecuzione.

Qualora sia possibile limitare l’accesso a livello Geografico di macchine e siti web esposti in rete pubblicamente, possiamo decidere di affettuare un filtering a livello geografico abilitando solo paesi fidati e disabilitando gli altri.

Contattaci pure se necessiti di questo servizio di hosting di vecchie versioni di PHP.

Hai dei dubbi? Non sai da dove partire? Contattaci


Abbiamo tutte le risposte alle tue domande per aiutarti nella giusta scelta.

Chatta con noi

Chatta direttamente con il nostro supporto prevendita.

0256569681

Contattaci telefonicamente negli orari d’ufficio 9:30 – 19:30

Contattaci online

Apri una richiesta direttamente nell’area dei contatti.

INFORMAZIONI

ManagedServer.it è il principale provider italiano di soluzioni hosting ad alte performance. Il nostro modello di sottoscrizione ha costi contenuti e prevedibili, affinché i clienti possano accedere alle nostre affidabili tecnologie di hosting, server dedicati e cloud. ManagedServer.it offre, inoltre, eccellenti servizi di supporto e consulenza su Hosting dei principali CMS Open Source come WordPress, WooCommerce, Drupal, Prestashop, Magento.

Torna su